@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap");
@import url("https://fonts.googleapis.com/css2?family=Kanit:wght@200;300;400;500;600&amp;display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lobster&amp;display=swap");

body {
  overflow-x: clip;
}
@font-face {
  font-family: ethnocentric;
  src: url(ethnocentric.otf);
}
@font-face {
  font-family: Oswald;
  src: url(Oswald.ttf);
}
:root {
  /* --text-color: #555555; */
  --text-color: rgba(3, 37, 41, 1);
  --text-font-family: "Poppins", sans-serif;
  --text-font-size: 15px;
  --text-font-weight: 400;
  --primary: #912305;
  --secondary: #032e3f;
  /* --heading-font-family: "Kanit", sans-serif; */
  /* --heading-font-family: "Lobster", cursive; */
  --heading-font-family: ethnocentric;
  --white-background: #ededed;
  --dark-red: #aa2906;
}
.container-fluid {
  padding: 0 50px;
}
.text-justify {
  text-align: justify !important;
}
.btn-primary {
  background-color: var(--primary);
  color: #ffffff;
  font-size: 16px;
  padding: 13px 35px;
  border-radius: 0;
  position: relative;
  transition: all ease 0.5s;
  border: 1px solid var(--primary);
  z-index: 1;
}
.btn-primary::before {
  position: absolute;
  content: "";
  background-color: var(--secondary);
  height: 100%;
  width: 100%;
  border-radius: 30px;
  top: 0;
  left: 0;
  transform: scaleX(0);
  transition: all ease 0.5s;
  z-index: -1;
}
.btn-primary:hover::before {
  transform: scaleX(1);
}
.btn-primary:hover,
.btn-primary:focus,
:not(.btn-check) + .btn:active {
  background-color: transparent;
  border-color: transparent;
}
.text-primary {
  color: var(--primary) !important;
}
.text-secondary {
  color: var(--secondary) !important;
}
.bg-primary {
  background-color: var(--primary) !important;
}
.bg-secondary {
  background-color: var(--dark-red) !important;
}
body,
body p {
  color: var(--text-color);
  font-family: var(--text-font-family);
  font-size: var(--text-font-size);
  font-weight: var(--text-font-weight);
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--heading-font-family);
}
a {
  text-decoration: none;
}
p {
  margin: 0;
}

/* preloader */
.preloader-area {
    display: none;
  position: fixed;
  z-index: 999999;
  background-color: var(--primary);
  width: 100%;
  height: 100%;
  text-align: center;
  left: 0;
  right: 0;
  top: 0;
}
.preloader-area .spinner {
  width: 4em;
  height: 4em;
  transform: perspective(20em) rotateX(-24deg) rotateY(20deg) rotateZ(30deg);
  transform-style: preserve-3d;
  position: absolute;
  left: 0;
  right: 0;
  top: 45%;
  transform: translateY(-45%);
  margin-left: auto;
  margin-right: auto;
}
.preloader-area .spinner .disc {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 100%;
  border: 0.3em dotted #ffffff;
}
.preloader-area .spinner .disc:nth-child(1) {
  animation: rotate 12s linear infinite;
}
.preloader-area .spinner .disc:nth-child(2) {
  animation: rotateDisc2 12s linear infinite;
}
.preloader-area .spinner .disc:nth-child(3) {
  animation: rotateDisc3 12s linear infinite;
}
.preloader-area .spinner .inner {
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  animation: sphereSpin 6s linear infinite;
}
.preloader-area .spinner::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  border-radius: 50%;
  right: 0;
  bottom: 0;
  border: 2px dotted #ffffff;
  margin: -15px;
}
/* preloader */

/* topheader */
.top-header-area {
  background-color: var(--primary);
  padding-top: 5px;
  padding-bottom: 5px;
}

.header-left-content img {
  width: 100%;
}
.header-left-content h6 {
  color: #ffffff;
  font-size: 22px;
  line-height: 20px;
  font-family: Oswald;
}
.header-left-content h6 span {
  font-size: 15px;
}

.header-right-content {
  text-align: right;
}
.header-right-content .list ul {
  padding-left: 0;
  margin-bottom: 0;
}
.header-right-content .list ul li {
  display: inline-block;
  margin-right: 25px;
}
.header-right-content .list ul li a {
  color: #ffffff;
  font-size: 14px;
}
.header-right-content .list ul li:last-child {
  margin-right: 0;
}
header .desktop-nav {
  background-color: var(--dark-red);
}
/* topheader */

/* navbar */
.nav-link {
  color: white;
}
.nav-item .active,
.nav-link:hover {
  color: white !important;
}
.dropdown-menu {
  margin: 0 !important;
  min-width: 200px !important;
  border-radius: 0;
  padding: 0;
  border-radius: 2px;
}
nav a {
  cursor: pointer;
  text-transform: capitalize;
}
/* navbar */

/* slider  */
.banner_text {
  position: absolute;
  bottom: 10%;
  z-index: 2;
  width: 45%;
  left: 50%;
  transform: translateX(-50%);
}
.owl-theme .owl-nav {
  margin-top: 0;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

/* academics */
.single-academics-card p {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  text-align: justify;
  -webkit-box-orient: vertical;
}
.single-academics-card a {
  transition: color 0.7s ease-in;
}
.single-academics-card {
  transition: 0.7s;
}
.single-academics-card:hover {
  transform: translateY(-5px);
}
.single-academics-card:hover a {
  color: var(--primary) !important;
}
/* academics */

/* about home */
.bgImg {
  background-image: url(../images/campus-information/campus-1.jpg);
  height: 100%;
  width: 100%;
  background-size: cover;
  background-position: center;
}
.borderStyle {
  position: relative;
}
.borderStyle::after,
.borderStyle::before {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--secondary);
  opacity: 0.5;
  content: "";
  height: 2px;
  width: 80%;
}
.borderStyle::after {
  left: 100%;
  top: 50%;
  transform: translateY(-50%);
  height: 80%;
  width: 2px;
}
.borderStyle1::after {
  left: 0;
}
.borderStyle1::before {
  top: 0;
}
/* about home */

/* principal */
.aboutColg p {
  text-align: left;
  display: flex;
  align-items: start;
}
.aboutColg p span {
  width: 100%;
  display: inline-block;
  margin-left: 5px;
}
/* principal */

/* steps */
.stepsIcn {
  position: relative;
  width: 100px;
  height: 100px;
  /* overflow: hidden; */
  padding: 10px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
.stepsIcn img {
  height: 70%;
  width: 70%;
}
.stepsIcn::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-box-shadow: -3px 3px 0px 0px rgb(0 0 0 / 90%);
  box-shadow: -3px 3px 0px 0px rgb(0 0 0 / 90%);
  border-radius: 50%;
  -webkit-transition: all ease 0.5s;
  transition: all ease 0.5s;
}
.steps-box:hover .stepsIcn::after {
  box-shadow: 0 3px 0px 0px rgb(0 0 0 / 90%);
}
.steps-box {
  height: 310px;
  box-shadow: 0 0px 6px rgb(0 0 0 / 18%);
  background-color: white;
}
.steps-box .fs-6 {
  font-size: 0.8rem !important;
}
/* steps */

/* video */
.vdBg {
  background-image: linear-gradient(rgb(3 46 63 / 30%), rgb(3 46 63 / 30%)),
    url(../images/campus-information/campus-3.jpg);
  background-size: cover;
  background-position: center;
  height: 100%;
  width: 130%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.vdBg1 a {
  padding: 15px;
  line-height: 0;
}
.vdBg1 a::after,
.vdBg1 a::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background: white;
  opacity: 0.5;
  border-radius: 50%;
  animation: animatePulse 5s linear infinite;
}
.vdBg1 a::after {
  height: 110%;
  width: 110%;
  background: transparent;
  border-radius: 50%;
  animation: animatePulse2 5s linear infinite;
  border: 1px solid white;
}
/* video */

.f-about p {
  color: rgba(var(--bs-white-rgb));
}
footer .header-left-content h6 {
  font-size: 18px;
}
footer .header-left-content h6 span {
  font-size: 13px;
}
footer .header-left-content img {
  width: 100%;
}

/* about pg */
.page-banner-area {
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  position: relative;
  padding-top: 150px;
  padding-bottom: 150px;
}
.page-banner-area.bg-2 {
  background-image: url(../images/page-banner/page-bnner-2.jpg);
  /* background-image: url(../images/campus-information/logo-bg.png); */
  /* background-position: right; */
  /* background-size: contain; */
}
.page-banner-area::before {
  position: absolute;
  content: "";
  height: 100%;
  width: 100%;
  left: 0;
  top: 0;
  /* background: var(--primary); */
  background: black;
  opacity: 0.5;
}
.page-banner-content img{
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
}
.abt-banner{
  background-color: #e2e2e2;
  background-image: none !important;
}
.abt-banner::before{
  background-color: #e2e2e2;
}
.page-banner-content h1 {
  font-size: 50px;
  margin-bottom: 10px;
  color: #ffffff;
}
.page-banner-content ul li {
  font-weight: 500;
}
.page-banner-content ul li:first-child::before {
  position: absolute;
  content: "/";
  right: 2px;
  color: white;
  top: 0;
}
.page-banner-content ul li a {
  transition: all 0.7s ease;
}
.page-banner-content ul li:hover a {
  color: var(--primary) !important;
}
.single-academics-card2 {
  background-size: cover;
  background-position: center center;
  height: 500px;
  padding: 30px;
  position: relative;
  margin-bottom: 30px;
}
.single-academics-card2::before {
  position: absolute;
  content: "";
  height: 100%;
  width: 100%;
  /* background-image: linear-gradient(to bottom, transparent, rgba(17, 29, 94, 0.9)); */
  background-image: linear-gradient(to bottom, transparent, var(--secondary));
  opacity: 0.9;
  left: 0;
  top: 0;
}
.single-academics-card2 .serial {
  position: absolute;
  left: 30px;
  top: 30px;
}
.single-academics-card2 .serial p {
  color: #ffffff;
  font-size: 18px;
}
.single-academics-card2 .academic-content {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 30px;
}
.contacts-form {
  padding: 40px;
  box-shadow: 0 0 20px 13px rgb(0 0 0 / 10%);
  margin-bottom: 30px;
}
.contacts-form h3 {
  font-size: 30px;
  margin-bottom: 20px;
  font-family: var(--heading-font-family);
}
.contacts-form .form-group {
  margin-bottom: 25px;
}
.contacts-form .form-group label {
  margin-bottom: 7px;
}
.contacts-form .form-group .form-control {
  background-color: #f4f6f9;
  border: 1px solid transparent;
}
.contact-and-address h2 {
  font-size: 30px;
  margin-bottom: 20px;
}
.contact-and-address .contact-and-address-content {
  border-bottom: 1px solid #eee;
  margin-bottom: 30px;
  padding-bottom: 10px;
}
.contact-and-address .contact-and-address-content .contact-card {
  text-align: center;
  padding: 30px;
  background-color: #f4f6f9;
  margin-bottom: 30px;
}
.contact-and-address .contact-and-address-content .contact-card .icon {
  font-size: 35px;
  height: 65px;
  width: 65px;
  line-height: 65px;
  border: 1px solid var(--primary);
  color: var(--primary);
  text-align: center;
  border-radius: 100%;
  margin: auto;
  margin-bottom: 15px;
}
.contact-and-address .contact-and-address-content .contact-card h4 {
  font-size: 22px;
  margin-bottom: 15px;
}
.contact-and-address .contact-and-address-content .contact-card p {
  margin-bottom: 10px;
}
.contact-and-address .contact-and-address-content .contact-card p a {
  color: #555;
  transition: all ease 0.5s;
}
.contact-and-address .contact-and-address-content .contact-card p a:hover {
  color: #e32845;
}
.contact-and-address .social-media ul li {
  margin-right: 10px;
  list-style-type: none;
  display: inline-block;
}
.contact-and-address .social-media ul li a {
  height: 35px;
  width: 35px;
  line-height: 37px;
  border-radius: 100%;
  text-align: center;
  display: inline-block;
  background-color: #eee;
  color: #e32845;
  transition: all ease 0.5s;
}
.contact-and-address .social-media ul li a:hover {
  background-color: #e32845;
  color: #fff;
  transform: translateY(-5px);
}
.courses ul{
  list-style: circle;
  display: flex;
  flex-wrap: wrap;
}
.courses ul li{
  flex-basis: 50%;
}
.faculty td{
  padding: 5px 5px !important;
}
.submenu .dropdown-item {
  /* padding: 0 0 5px 0; */
}
#non-teaching_staff .table > :not(caption) > * > * ,
#teaching_staff .table > :not(caption) > * > * {
  padding: 0px 0 9px 10px !important;
  text-align: left  !important;
}
#non-teaching_staff .teaching_staff_bx,
#teaching_staff .teaching_staff_bx{
  height: 100%;
  margin: 0 0 20px;
}
table{
  text-align: center;
}
table th, table td{
  vertical-align: middle;
}
table thead tr {
  background-color: #f5f5f5;
}
.teaching_staff_bx tr td:nth-child(2) {
  /* background: red; */
  width: 40%;
}
.teaching_staff_bx tr td:nth-child(1) {
  /* background: pink; */
  width: 30%;
}
.dropdown-submenu {
    position: relative;
}
    
.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
}

.demo1{
    /*height: 350px !important;*/
}
.latest_events  .owl-nav{
    position: relative !important;
    /*margin: 15px 0 0;*/
    margin : 10px 0 0;
}
.latest_events button i{
    padding: 8px 15px;
    display: inline-block;
}
.latest_events button {
    background: var(--primary) !important;
    color: white !important;
}
.offcanvas .nav-link{
    color: #000 !important;
    /*background: var(--primary);*/
    padding: 6px 15px;
}
.offcanvas .navbar-nav .dropdown-menu {
    position: relative !important;
    transform: translate3d(0, 0, 0) !important;
    /*display: block;*/
    border: 0;
    border-left: 1px solid rgb(0 0 0 / 10%);
    margin-left: 31px !important;
}

.offcanvas .navbar-nav .dropdown-menu .dropdown-item {
    position: relative;
    color: #000 !important;
    display: inline-block;
}
.offcanvas .navbar-nav .dropdown-menu .dropdown-item::before {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgb(0 0 0 / 10%);
    height: 2px;
    width: 10px;
    content: '';
    left: 0;
}

.offcanvas .dropdown-menu .submenu {
    left: 0;
}
.offcanvas a {
    font-size: var(--text-font-size);
}